Bug 1697566 - [abrt] flatpak: multi_socket(): flatpak killed by SIGSEGV
Summary: [abrt] flatpak: multi_socket(): flatpak killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: curl
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:67c803c82b8bc508825f1831c22...
: 1696149 1698259 1699682 1706393 1713888 1714479 1723242 1723276 1724183 1728996 1729315 1729639 1730451 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 17:18 UTC by Ritesh Khadgaray
Modified: 2019-07-30 12:33 UTC (History)
38 users (show)

Fixed In Version: curl-7.65.3-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-25 01:06:30 UTC


Attachments (Terms of Use)
File: backtrace (61.27 KB, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: cgroup (399 bytes, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: core_backtrace (18.85 KB, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: dso_list (6.98 KB, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: environ (5.82 KB, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: exploitable (82 bytes, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: limits (1.29 KB, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: maps (46.54 KB, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: mountinfo (3.95 KB, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: open_fds (2.78 KB, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
File: var_log_messages (251 bytes, text/plain)
2019-04-08 17:18 UTC, Ritesh Khadgaray
no flags Details
crash stack from abrt with curl 7.64.0-8.fc30 (10.38 KB, text/plain)
2019-07-10 18:41 UTC, Dimitris
no flags Details

Description Ritesh Khadgaray 2019-04-08 17:18:17 UTC
Version-Release number of selected component:
flatpak-1.2.4-2.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        flatpak --user install telegram
crash_function: multi_socket
executable:     /usr/bin/flatpak
journald_cursor: s=406531ab5ba74dd5962990d7ae23e8b1;i=861c9c;b=9fa76d5cd68046a58d60dd77f4a04ce4;m=4a07d33b1;t=58607358ffe39;x=77a1c8dc429337b8
kernel:         5.0.6-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 multi_socket at ../../lib/multi.c:2652
 #1 curl_multi_socket_action at ../../lib/multi.c:2838
 #2 event_cb at src/libostree/ostree-fetcher-curl.c:451
 #6 g_main_context_iteration at ../glib/gmain.c:3988
 #7 ostree_repo_pull_with_options at src/libostree/ostree-repo-pull.c:4436
 #8 repo_pull at common/flatpak-dir.c:4030
 #9 flatpak_dir_pull at common/flatpak-dir.c:4771
 #10 flatpak_dir_install at common/flatpak-dir.c:7851
 #11 flatpak_transaction_real_run at common/flatpak-transaction.c:2892
 #12 flatpak_cli_transaction_run at ./common/flatpak-transaction.h:92

Comment 1 Ritesh Khadgaray 2019-04-08 17:18:19 UTC
Created attachment 1553677 [details]
File: backtrace

Comment 2 Ritesh Khadgaray 2019-04-08 17:18:19 UTC
Created attachment 1553678 [details]
File: cgroup

Comment 3 Ritesh Khadgaray 2019-04-08 17:18:20 UTC
Created attachment 1553679 [details]
File: core_backtrace

Comment 4 Ritesh Khadgaray 2019-04-08 17:18:21 UTC
Created attachment 1553680 [details]
File: cpuinfo

Comment 5 Ritesh Khadgaray 2019-04-08 17:18:22 UTC
Created attachment 1553681 [details]
File: dso_list

Comment 6 Ritesh Khadgaray 2019-04-08 17:18:23 UTC
Created attachment 1553682 [details]
File: environ

Comment 7 Ritesh Khadgaray 2019-04-08 17:18:23 UTC
Created attachment 1553683 [details]
File: exploitable

Comment 8 Ritesh Khadgaray 2019-04-08 17:18:24 UTC
Created attachment 1553684 [details]
File: limits

Comment 9 Ritesh Khadgaray 2019-04-08 17:18:25 UTC
Created attachment 1553685 [details]
File: maps

Comment 10 Ritesh Khadgaray 2019-04-08 17:18:26 UTC
Created attachment 1553686 [details]
File: mountinfo

Comment 11 Ritesh Khadgaray 2019-04-08 17:18:26 UTC
Created attachment 1553687 [details]
File: open_fds

Comment 12 Ritesh Khadgaray 2019-04-08 17:18:27 UTC
Created attachment 1553688 [details]
File: proc_pid_status

Comment 13 Ritesh Khadgaray 2019-04-08 17:18:28 UTC
Created attachment 1553689 [details]
File: var_log_messages

Comment 14 Damián Barberón 2019-04-14 22:42:24 UTC
Similar problem has been detected:

1. Try to install flatpak package from flathub using gnome-software or 'flatpak install' from command line.
2. Segfault occurs at libcurl in the middle of package download.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        flatpak install flathub com.github.wwmm.pulseeffects com.spotify.Client
crash_function: multi_socket
executable:     /usr/bin/flatpak
journald_cursor: s=41f87dd9ab4d40dfb7ef7ba0c3540b55;i=56df;b=3736590ad19844c5936e7e4cda540557;m=1cdcf767;t=5868504d94efb;x=66bc2eac5e9f933a
kernel:         5.0.7-300.fc30.x86_64
package:        flatpak-1.2.4-2.fc30
reason:         flatpak killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Petr Pisar 2019-05-02 08:13:06 UTC
*** Bug 1699682 has been marked as a duplicate of this bug. ***

Comment 16 Jonathan Lebon 2019-05-03 14:05:54 UTC
Not sure what's going on there. I've only looked into this superficially. Opened up an issue upstream to raise visibility: https://github.com/ostreedev/ostree/issues/1848.

Comment 17 Link Dupont 2019-05-03 16:58:42 UTC
I explored this a bit last night and found the following. I hope this helps. I'm happy to run
some more experiments too.

* On my desktop running Fedora 30, flatpak segfaults. In a VM running Fedora 30 on the same host,
  flatpak *does not* segfault.
* On the same desktop running the Fedora 30 Live ISO, flatpak segfaults.
* On my laptop running Fedora 29, flatpak does not segfault. In a VM running Fedora 30 on the same
  Fedora 29 host, flatpak *does not* segfault.
* When I boot my laptop with the Fedora 30 Live ISO, flatpak segfaults.

Comment 18 Jonathan Lebon 2019-05-03 17:44:18 UTC
Are the segfaults consistent? If so, could you add `http2=false` to the flatpak remote in question (e.g. `/var/lib/flatpak/repo/config` for system flatpaks) and try again?

Comment 19 Link Dupont 2019-05-04 05:12:15 UTC
(In reply to Jonathan Lebon from comment #18)
> Are the segfaults consistent? If so, could you add `http2=false` to the
> flatpak remote in question (e.g. `/var/lib/flatpak/repo/config` for system
> flatpaks) and try again?

I added http2=false to the [remote "flathub"] section. And it still segfaults at about 13%.

Comment 20 Link Dupont 2019-05-04 17:11:09 UTC
I disabled the IPv6 WAN interface on my router and (without the http2=false addition to /var/lib/flatpak/repo/config) flatpak is no longer segfaulting.

Comment 21 Matías Zúñiga 2019-05-13 17:32:39 UTC
I have the same problem with a fresh fedora 30 install and flathub, disabling IPv6 fixes the segfaulting for me

Comment 22 Jonathan Lebon 2019-05-27 13:10:30 UTC
*** Bug 1713888 has been marked as a duplicate of this bug. ***

Comment 23 Jonathan Lebon 2019-05-27 13:17:18 UTC
From https://bugzilla.redhat.com/show_bug.cgi?id=1713888, I'm going to move this to ostree for now (though the IPv6 workaround tells me this is likely a libcurl issue).

Comment 24 Chris Murphy 2019-06-24 04:08:44 UTC
Similar problem has been detected:

Any time I try to install a flatpak on a clean installed Fedora 30 system, either gnome-software or flatpak directly.

$ sudo flatpak install com.slack.Slack.flatpakref

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        flatpak install com.slack.Slack.flatpakref
crash_function: multi_socket
executable:     /usr/bin/flatpak
journald_cursor: s=697cc2043135461c98b2be9552ce1d43;i=94c;b=43ec234d73c647248b7f04d7da55977e;m=8ad383f;t=58c09b706b159;x=283e3c5958a5b9be
kernel:         5.1.12-300.fc30.x86_64
package:        flatpak-1.4.1-1.fc30
reason:         flatpak killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 25 Jonathan Lebon 2019-06-24 13:22:44 UTC
> Any time I try to install a flatpak on a clean installed Fedora 30 system, either gnome-software or flatpak directly.

Just as another test point, does the workaround in https://bugzilla.redhat.com/show_bug.cgi?id=1697566#c21 also work for you?

Comment 26 Chris Murphy 2019-06-24 14:57:35 UTC
As it turns out this is somewhat transient, occurring maybe 50% of the time or less, and only on large runtimes like freedesktop. It's never happened once with an application stack.

Is it sufficient to go to the Wifi connection, click on IPv6, and set IPv6 Method to Disable? Or something else?

Comment 27 Chris Murphy 2019-06-24 16:21:00 UTC
On Rawhide, I've only gotten the crash twice out of maybe a dozen attempts, but I got this three times...

Error: While pulling runtime/org.freedesktop.Platform/x86_64/18.08 from remote flathub: While fetching https://dl.flathub.org/repo/objects/b2/de996b9867b8df89df9d6421c62c7c65f67b6b3025edbcf9676b97c43356b4.filez: [56] Failure when receiving data from the peer
error: Failed to install org.freedesktop.Platform: While pulling runtime/org.freedesktop.Platform/x86_64/18.08 from remote flathub: While fetching https://dl.flathub.org/repo/objects/b2/de996b9867b8df89df9d6421c62c7c65f67b6b3025edbcf9676b97c43356b4.filez: [56] Failure when receiving data from the peer
[chris@fmac Downloads]$ ;59R

Comment 28 Yağmur Oymak 2019-06-30 14:56:29 UTC
The cause is probably this: https://github.com/curl/curl/issues/3952

Looks like it's fixed in libcurl 7.65.

Also see: https://github.com/flatpak/flatpak/issues/2977

Comment 29 Chris Murphy 2019-06-30 15:56:02 UTC
The same problem causes gnome-software to crash, but it's actually libcurl according to the developers in the upstream flatpak issue. I posted to the libcurl list and they think it's probably fixed already in master. I'm going to switch the component to curl, see if a straight update from 7.64-7 to 7.65-1 is sane, or if a backport is possible.

Comment 30 Kamil Dudka 2019-07-01 07:26:37 UTC
Thanks for the report!  I will backport the upstream fix.

Comment 31 Kamil Dudka 2019-07-01 09:12:31 UTC
dist-git commit: https://src.fedoraproject.org/rpms/curl/c/0c07534e

Comment 32 Fedora Update System 2019-07-01 09:54:36 UTC
FEDORA-2019-eeae54025e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-eeae54025e

Comment 33 Fedora Update System 2019-07-03 02:26:22 UTC
curl-7.64.0-8.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-eeae54025e

Comment 34 Fedora Update System 2019-07-06 04:09:26 UTC
curl-7.64.0-8.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Dirk Davidis 2019-07-07 20:00:22 UTC
Hi did a fresh Fedora 30 installation. Error still persist, even with the curl version curl-7.64.0-8.fc30. it is not possible to install flatpaks neither to open gnome-software.

Comment 36 Kamil Dudka 2019-07-08 08:35:32 UTC
(In reply to Dirk Davidis from comment #35)
> Hi did a fresh Fedora 30 installation. Error still persist, even with the
> curl version curl-7.64.0-8.fc30. it is not possible to install flatpaks
> neither to open gnome-software.

At least one user confirmed that the update helped.  So either you are facing an unrelated issue, or the fix was incomplete.  In any case, please file a separate bug report with up2date backtrace etc.

Comment 37 Dimitris 2019-07-10 18:41:31 UTC
Created attachment 1589211 [details]
crash stack from abrt with curl 7.64.0-8.fc30

I'm on curl 7.64.0-8.fc30 but still got a crash inside libcurl in one occasion.  Attaching stack from abrt.

Comment 38 Mark Pariente 2019-07-11 05:14:43 UTC
The issue still persists for me on curl-7.64.0-8.fc30.x86_64. On one of my machines flatpak update / flatpak install results in 100% segmentation fault. According to https://github.com/flatpak/flatpak/issues/2977 the curl issue is fixed in version 7.65.1 - so we'd need that version in fedora 30.

Comment 39 Mark Pariente 2019-07-11 19:06:38 UTC
I get the same crash with curl-7.65.1-1.fc31.x86_64 from rawhide as well. According to https://github.com/flatpak/flatpak/issues/2977 the fix might be in curl master and not yet released.

Comment 40 Mark Pariente 2019-07-11 23:07:13 UTC
I can confirm that curl master (7.65.2-DEV) fixes the issue for me. I'm providing the steps that I used to try that out in case it's helpful to others:

git clone https://github.com/curl/curl.git
cd curl
./buildconf
./configure --with-gnutls
make
LD_LIBRARY_PATH=$PWD/lib/.libs flatpak <whatever flatpak sub-command that used to crash before>

(you also need to dnf install gnutls-devel if it's not already installed on your machine - might need to install more development related packages also).

Comment 41 Chris Murphy 2019-07-12 01:03:23 UTC
I'm lost in the details. What I know is a clean installation of Fedora 30 fully updated, cannot install any flatpak I've tried, and flatpak folks have said it's a libcurl problem best they can tell; and yet supposedly that fix was backported to 7.64.0-8. So if that's not the fix, what in master/7.65.2 did fix it and can that be backported? Or is there a process to rebase Fedora 29 and 30 to upstream as long as there isn't an SONAME bump?

Comment 42 Chris Murphy 2019-07-12 01:16:59 UTC
Mark, if you revert your changes back to a condition where you can reproduce the failure; what happens if you disable IPv6 as suggested in comment 20? I tried setting IPv6 to Disabled in GNOME Settings, and 1 crash for 1 attempt. So I'm not sure that's the problem, but I'm having some transience in reproducing this anyway (way easier to reproduce in Fedora 30 than Rawhide, with the same kernel).

Comment 43 Mark Pariente 2019-07-12 01:42:33 UTC
Wow, very interesting. I disabled IPv6 by adding ipv6.disable=1 to the kernel boot cmdline in grub and it *did* fix the issue for me. Without this I have 100% segfault rate with 'flatpak update'. Trying to disable IPv6 via GNOME network settings didn't work (flatpak still segfaults), but the kernel cmdline boot option did the trick.

Comment 44 Michael Catanzaro 2019-07-12 12:49:37 UTC
*** Bug 1723242 has been marked as a duplicate of this bug. ***

Comment 45 Chris Murphy 2019-07-12 23:16:47 UTC
Using libcurl-7.64.0-8.fc30.x86_64, I'm not getting a crash anymore but it fails with

Installing 1/5…                                                                                                                            F: flatpak_dir_pull: Using commit 5c0dd88790d99d5aee62c9a471a9e38b1b7ccbe6b3f9e144dfc9169821755990 for pull of ref runtime/org.freedesktop.Platform/x86_64/18.08 from remote flathub
Error: While pulling runtime/org.freedesktop.Platform/x86_64/18.08 from remote flathub: While fetching https://dl.flathub.org/repo/objects/89/1d41e2e6166a7a645aa6ef29138ed6c826ef62b646e1f814be065cf86910a9.filez: [56] Failure when receiving data from the peer
error: Failed to install org.freedesktop.Platform: While pulling runtime/org.freedesktop.Platform/x86_64/18.08 from remote flathub: While fetching https://dl.flathub.org/repo/objects/89/1d41e2e6166a7a645aa6ef29138ed6c826ef62b646e1f814be065cf86910a9.filez: [56] Failure when receiving data from the peer
[chris@flap Downloads]$

And in the journal I see

[  135.741035] flap.local flatpak[2390]: libostree HTTP error from remote flathub for <https://dl.flathub.org/repo/objects/89/1d41e2e6166a7a645aa6ef29138ed6c826ef62b646e1f814be065cf86910a9.filez>: Failure when receiving data from the peer
[  165.740328] flap.local flatpak[2390]: libostree HTTP error from remote flathub for <https://dl.flathub.org/repo/objects/4e/a27eb28f2b9dfa00632638e23c070667dca05e0ce1adb6706c777dc992979c.filez>: Timeout was reached

Where earlier this week that message was that the server reported error 502. So for me the failure blame are transient.

However, if I boot with ipv6.disable=1 I'm able to successfully get multiple installations to complete. That's the first time I've gotten a successful flatpak installation on this particular system.

Comment 46 Henrique C. S. Junior 2019-07-14 11:54:41 UTC
On a freshly installed and updated F30 100% segfaults here (libcurl-7.64.0-8.fc30.x86_64), even in the very first seconds:

Process 25784 (flatpak) of user 1000 dumped core.

Stack trace of thread 25784:
#0  0x00007f8ba089484c n/a (libcurl.so.4)
#1  0x00007f8ba0894b0b curl_multi_socket_action (libcurl.so.4)
#2  0x00007f8ba17af37a n/a (libostree-1.so.1)
#3  0x00007f8ba11f3edd g_main_context_dispatch (libglib-2.0.so.0)
#4  0x00007f8ba11f4270 n/a (libglib-2.0.so.0)
#5  0x00007f8ba11f4313 g_main_context_iteration (libglib-2.0.so.0)
#6  0x00007f8ba17ac8d6 n/a (libostree-1.so.1)
#7  0x00007f8ba176d0a2 n/a (libostree-1.so.1)
#8  0x00007f8ba17786ae ostree_repo_remote_fetch_summary_with_options (libostree-1.so.1)
#9  0x00007f8ba175533a ostree_repo_remote_fetch_summary (libostree-1.so.1)
#10 0x000055dcfee5cb72 n/a (flatpak)
#11 0x000055dcfee644a6 n/a (flatpak)
#12 0x000055dcfedfbe16 n/a (flatpak)
#13 0x000055dcfedf3225 n/a (flatpak)
#14 0x00007f8ba0fc4f33 __libc_start_main (libc.so.6)
#15 0x000055dcfedf3dce n/a (flatpak)

Stack trace of thread 25785:
#0  0x00007f8ba10915c7 __poll (libc.so.6)
#1  0x00007f8ba11f41de n/a (libglib-2.0.so.0)
#2  0x00007f8ba11f4313 g_main_context_iteration (libglib-2.0.so.0)
#3  0x00007f8ba11f4361 n/a (libglib-2.0.so.0)
#4  0x00007f8ba121d4e2 n/a (libglib-2.0.so.0)
#5  0x00007f8ba11715a2 start_thread (libpthread.so.0)
#6  0x00007f8ba109c303 __clone (libc.so.6)

Stack trace of thread 25786:
#0  0x00007f8ba10915c7 __poll (libc.so.6)
#1  0x00007f8ba11f41de n/a (libglib-2.0.so.0)
#2  0x00007f8ba11f45a3 g_main_loop_run (libglib-2.0.so.0)
#3  0x00007f8ba143ad5a n/a (libgio-2.0.so.0)
#4  0x00007f8ba121d4e2 n/a (libglib-2.0.so.0)
#5  0x00007f8ba11715a2 start_thread (libpthread.so.0)
#6  0x00007f8ba109c303 __clone (libc.so.6)

Stack trace of thread 25787:
#0  0x00007f8ba10915c7 __poll (libc.so.6)
#1  0x00007f8ba11f41de n/a (libglib-2.0.so.0)
#2  0x00007f8ba11f45a3 g_main_loop_run (libglib-2.0.so.0)
#3  0x00007f8ba1a439e7 n/a (libpolkit-agent-1.so.0)
#4  0x00007f8ba121d4e2 n/a (libglib-2.0.so.0)
#5  0x00007f8ba11715a2 start_thread (libpthread.so.0)
#6  0x00007f8ba109c303 __clone (libc.so.6)

Comment 47 Henrique C. S. Junior 2019-07-14 14:08:52 UTC
Actually, the bug is so severe that after activating the flathub repo, gnome-software starts to crash too.

Process 3532 (gnome-software) of user 1000 dumped core.

Stack trace of thread 3535:
#0  0x00007f17a1ba384c n/a (libcurl.so.4)
#1  0x00007f17a1ba3b0b curl_multi_socket_action (libcurl.so.4)
#2  0x00007f17a1ca337a n/a (libostree-1.so.1)
#3  0x00007f17b3d6eedd g_main_context_dispatch (libglib-2.0.so.0)
#4  0x00007f17b3d6f270 n/a (libglib-2.0.so.0)
#5  0x00007f17b3d6f313 g_main_context_iteration (libglib-2.0.so.0)
#6  0x00007f17a1ca08d6 n/a (libostree-1.so.1)
#7  0x00007f17a1c610a2 n/a (libostree-1.so.1)
#8  0x00007f17a1c6c6ae ostree_repo_remote_fetch_summary_with_options (libostree-1.so.1)
#9  0x00007f17a1c4933a ostree_repo_remote_fetch_summary (libostree-1.so.1)
#10 0x00007f17a1de6722 n/a (libflatpak.so.0)
#11 0x00007f17a1de6efc n/a (libflatpak.so.0)
#12 0x00007f17a1e2bf9c flatpak_installation_list_remote_refs_sync_full (libflatpak.so.0)
#13 0x00007f17a1e2c242 flatpak_installation_list_installed_refs_for_update (libflatpak.so.0)
#14 0x00007f17a1ea2317 gs_flatpak_add_updates (libgs_plugin_flatpak.so)
#15 0x00007f17a1ea5f35 gs_plugin_add_updates (libgs_plugin_flatpak.so)
#16 0x000055f811b71dfb n/a (gnome-software)
#17 0x000055f811b72372 n/a (gnome-software)
#18 0x000055f811b73433 n/a (gnome-software)
#19 0x00007f17b3bf98f7 n/a (libgio-2.0.so.0)
#20 0x00007f17b3d98f14 n/a (libglib-2.0.so.0)
#21 0x00007f17b3d984e2 n/a (libglib-2.0.so.0)
#22 0x00007f17b2e9f5a2 start_thread (libpthread.so.0)
#23 0x00007f17b2dcc303 __clone (libc.so.6)

Stack trace of thread 3532:
#0  0x00007f17b3d6d6ac g_source_attach (libglib-2.0.so.0)
#1  0x00007f17b3d6fd00 g_timeout_add_full (libglib-2.0.so.0)
#2  0x00007f17b33228ab n/a (libgdk-3.so.0)
#3  0x00007f17b3322be6 n/a (libgdk-3.so.0)
#4  0x00007f17b330cf1d n/a (libgdk-3.so.0)
#5  0x00007f17b3d6f971 n/a (libglib-2.0.so.0)
#6  0x00007f17b3d6eedd g_main_context_dispatch (libglib-2.0.so.0)
#7  0x00007f17b3d6f270 n/a (libglib-2.0.so.0)
#8  0x00007f17b3d6f313 g_main_context_iteration (libglib-2.0.so.0)
#9  0x00007f17b3c26485 g_application_run (libgio-2.0.so.0)
#10 0x000055f811b1249d main (gnome-software)
#11 0x00007f17b2cf4f33 __libc_start_main (libc.so.6)
#12 0x000055f811b1254e _start (gnome-software)

Stack trace of thread 3533:
#0  0x00007f17b2dc15c7 __poll (libc.so.6)
#1  0x00007f17b3d6f1de n/a (libglib-2.0.so.0)
#2  0x00007f17b3d6f313 g_main_context_iteration (libglib-2.0.so.0)
#3  0x00007f17b3d6f361 n/a (libglib-2.0.so.0)
#4  0x00007f17b3d984e2 n/a (libglib-2.0.so.0)
#5  0x00007f17b2e9f5a2 start_thread (libpthread.so.0)
#6  0x00007f17b2dcc303 __clone (libc.so.6)

Stack trace of thread 3534:
#0  0x00007f17b2dc15c7 __poll (libc.so.6)
#1  0x00007f17b3d6f1de n/a (libglib-2.0.so.0)
#2  0x00007f17b3d6f5a3 g_main_loop_run (libglib-2.0.so.0)
#3  0x00007f17b3c61d5a n/a (libgio-2.0.so.0)
#4  0x00007f17b3d984e2 n/a (libglib-2.0.so.0)
#5  0x00007f17b2e9f5a2 start_thread (libpthread.so.0)
#6  0x00007f17b2dcc303 __clone (libc.so.6)

Stack trace of thread 3536:
#0  0x00007f17b2dc15c7 __poll (libc.so.6)
#1  0x00007f17b3d6f1de n/a (libglib-2.0.so.0)
#2  0x00007f17b3d6f313 g_main_context_iteration (libglib-2.0.so.0)
#3  0x00007f17b3f55a9d n/a (libdconfsettings.so)
#4  0x00007f17b3d984e2 n/a (libglib-2.0.so.0)
#5  0x00007f17b2e9f5a2 start_thread (libpthread.so.0)
#6  0x00007f17b2dcc303 __clone (libc.so.6)

Comment 48 Parag Nemade 2019-07-14 16:46:40 UTC
I even lost rpm-ostree upgrade functionality on F30 but this can be different issue. Also, flatpak is randomly segfaulting. You need to keep attempting again and again till it works.

systemd-coredump[19226]: Process 2211 (rpm-ostree) of user 0 dumped core.
                                               
                                               Stack trace of thread 18919:
                                               #0  0x00007f19229a384c n/a (libcurl.so.4)
                                               #1  0x00007f19229a3b0b curl_multi_socket_action (libcurl.so.4)
                                               #2  0x00007f1923a9d37a n/a (libostree-1.so.1)
                                               #3  0x00007f192342bedd g_main_context_dispatch (libglib-2.0.so.0)
                                               #4  0x00007f192342c270 n/a (libglib-2.0.so.0)
                                               #5  0x00007f192342c313 g_main_context_iteration (libglib-2.0.so.0)
                                               #6  0x00007f1923a9a8d6 n/a (libostree-1.so.1)
                                               #7  0x00007f1923a588ba n/a (libostree-1.so.1)
                                               #8  0x00007f1923a589c9 n/a (libostree-1.so.1)
                                               #9  0x00007f1923a58a8f n/a (libostree-1.so.1)
                                               #10 0x00007f1923a61620 ostree_repo_pull_with_options (libostree-1.so.1)
                                               #11 0x00005632e37e86c4 n/a (rpm-ostree)
                                               #12 0x00005632e37e2489 n/a (rpm-ostree)
                                               #13 0x00005632e37d510c n/a (rpm-ostree)
                                               #14 0x00007f192360a8f7 n/a (libgio-2.0.so.0)
                                               #15 0x00007f1923455f14 n/a (libglib-2.0.so.0)
                                               #16 0x00007f19234554e2 n/a (libglib-2.0.so.0)
                                               #17 0x00007f19233a25a2 start_thread (libpthread.so.0)
                                               #18 0x00007f19232cd303 __clone (libc.so.6)
                                               
                                               Stack trace of thread 2213:
                                               #0  0x00007f19232c25c7 __poll (libc.so.6)
                                               #1  0x00007f192342c1de n/a (libglib-2.0.so.0)
                                               #2  0x00007f192342c5a3 g_main_loop_run (libglib-2.0.so.0)
                                               #3  0x00007f1923672d5a n/a (libgio-2.0.so.0)
                                               #4  0x00007f19234554e2 n/a (libglib-2.0.so.0)
                                               #5  0x00007f19233a25a2 start_thread (libpthread.so.0)
                                               #6  0x00007f19232cd303 __clone (libc.so.6)
                                               
                                               Stack trace of thread 19204:
                                               #0  0x00007f19232c7fad syscall (libc.so.6)
                                               #1  0x00007f1923477f4e g_cond_wait_until (libglib-2.0.so.0)
                                               #2  0x00007f19233fd031 n/a (libglib-2.0.so.0)
                                               #3  0x00007f19233fd656 g_async_queue_timeout_pop (libglib-2.0.so.0)
                                               #4  0x00007f1923455fb9 n/a (libglib-2.0.so.0)
                                               #5  0x00007f19234554e2 n/a (libglib-2.0.so.0)
                                               #6  0x00007f19233a25a2 start_thread (libpthread.so.0)
                                               #7  0x00007f19232cd303 __clone (libc.so.6)
                                               
                                               Stack trace of thread 2211:
                                               #0  0x00007f19232c25c7 __poll (libc.so.6)
                                               #1  0x00007f192342c1de n/a (libglib-2.0.so.0)
                                               #2  0x00007f192342c313 g_main_context_iteration (libglib-2.0.so.0)
                                               #3  0x00005632e37cdb2c n/a (rpm-ostree)
                                               #4  0x00005632e378d1a4 n/a (rpm-ostree)
                                               #5  0x00005632e3777c85 n/a (rpm-ostree)
                                               #6  0x00007f19231f5f33 __libc_start_main (libc.so.6)
                                               #7  0x00005632e3777fce n/a (rpm-ostree)
                                               
                                               Stack trace of thread 2212:
                                               #0  0x00007f19232c25c7 __poll (libc.so.6)
                                               #1  0x00007f192342c1de n/a (libglib-2.0.so.0)
                                               #2  0x00007f192342c313 g_main_context_iteration (libglib-2.0.so.0)
                                               #3  0x00007f192342c361 n/a (libglib-2.0.so.0)
                                               #4  0x00007f19234554e2 n/a (libglib-2.0.so.0)
                                               #5  0x00007f19233a25a2 start_thread (libpthread.so.0)
                                               #6  0x00007f19232cd303 __clone (libc.so.6)

Comment 49 Chris Murphy 2019-07-15 00:57:50 UTC
Could everyone running into this try (temporarily) booting with ipv6.disable=1 boot parameter, and then retest?

Comment 50 Kalev Lember 2019-07-15 07:09:46 UTC
*** Bug 1729639 has been marked as a duplicate of this bug. ***

Comment 51 Kamil Dudka 2019-07-15 07:53:13 UTC
Could you please provide some steps to reproduce it (ideally a finite sequence of commands one can execute to trigger the crash locally)?

I am not a user of flatpak/gnome myself...

Comment 52 Henrique C. S. Junior 2019-07-15 10:58:37 UTC
1 - Activate the use of the flathub repo (open https://flathub.org/repo/flathub.flatpakrepo )
2 - Install any package: flatpak install flathub org.telegram.desktop --verbose
3 - The result is:
F: No installations directory in /etc/flatpak/installations.d. Skipping
F: Opening system flatpak installation at path /var/lib/flatpak
F: Opening user flatpak installation at path /home/henrique/.local/share/flatpak
Looking for matches…
F: Fetching summary file for remote ‘flathub’
Segmentation fault (core dumped)
4 - With flatpak active gnome-software starts to crash too because they are integrated:
gnome-software
10:57:52:0379 Gs  enabled plugins: desktop-categories, fwupd, os-release, packagekit, packagekit-local, packagekit-offline, packagekit-proxy, packagekit-refresh, packagekit-upgrade, packagekit-url-to-app, shell-extensions, appstream, fedora-pkgdb-collections, desktop-menu-path, epiphany, flatpak, hardcoded-blacklist, hardcoded-featured, hardcoded-popular, modalias, packagekit-refine, rewrite-resource, odrs, packagekit-history, provenance, repos, systemd-updates, generic-updates, packagekit-refine-repos, provenance-license, icons, key-colors, key-colors-metadata
10:57:52:0379 Gs  disabled plugins: dummy
Segmentation fault (core dumped)

Comment 53 Kamil Dudka 2019-07-16 08:36:16 UTC
(In reply to Henrique C. S. Junior from comment #52)
> 1 - Activate the use of the flathub repo (open
> https://flathub.org/repo/flathub.flatpakrepo )

Open with what?  Which command should I type?

> 2 - Install any package: flatpak install flathub org.telegram.desktop --verbose

[root@f30 ~]# flatpak install flathub org.telegram.desktop --verbose
F: No installations directory in /etc/flatpak/installations.d. Skipping
F: Opening system flatpak installation at path /var/lib/flatpak
F: Opening user flatpak installation at path /root/.local/share/flatpak
Looking for matches…
F: Loading https://registry.fedoraproject.org/index/static?annotation%3Aorg.flatpak.ref%3Aexists=1&architecture=amd64&os=linux&tag=latest using libsoup
F: Received 1807557 bytes
error: No remote refs found similar to ‘flathub’

Comment 54 Henrique C. S. Junior 2019-07-16 11:02:51 UTC
(In reply to Kamil Dudka from comment #53)
> (In reply to Henrique C. S. Junior from comment #52)
> > 1 - Activate the use of the flathub repo (open
> > https://flathub.org/repo/flathub.flatpakrepo )
> 
> Open with what?  Which command should I type?
You just have to open the link with your browser and gnome-software will install the repo. You don't have to be root.
Here is the command line:

flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

Comment 55 Kamil Dudka 2019-07-16 11:42:10 UTC
(In reply to Henrique C. S. Junior from comment #54)
> You just have to open the link with your browser

I tried to open the link with elinks but it just displayed some text.

> You don't have to be root.

If I run the commands as non-root, it asks me for password all the time.

> Here is the command line:
> 
> flatpak remote-add --if-not-exists flathub
> https://flathub.org/repo/flathub.flatpakrepo

Thanks!  This time it did something but it did not crash:

[kdudka@f30 ~]$ flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
[kdudka@f30 ~]$ flatpak install flathub org.telegram.desktop --verbose
F: No installations directory in /etc/flatpak/installations.d. Skipping
F: Opening system flatpak installation at path /var/lib/flatpak
F: Opening user flatpak installation at path /home/kdudka/.local/share/flatpak
Looking for matches…
F: Fetching summary file for remote ‘flathub’
F: Fetching summary file for remote ‘flathub’
F: Transaction: install flathub:app/org.telegram.desktop/x86_64/stable[*]
F: Updating remote metadata for flathub
F: marking op install:app/org.telegram.desktop/x86_64/stable resolved to 48c2595cdb8d15232f28afa1463a36480193554de55ae299c0a49bdb68a28bd5
F: Calling system helper: GenerateOciSummary
==== AUTHENTICATING FOR org.freedesktop.Flatpak.metadata-update ====
Authentication is required to update metadata
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
Required runtime for org.telegram.desktop/x86_64/stable (runtime/org.kde.Platform/x86_64/5.12) found in remote flathub
Do you want to install it? [Y/n]: 
F: Transaction: install/update flathub:runtime/org.kde.Platform/x86_64/5.12[$old]
F: marking op install/update:runtime/org.kde.Platform/x86_64/5.12 resolved to 8d26e6b10764c380f2b5780fc5aa8fb68ecf787d1751ebbbd6cbd886a81d9d86
F: Transaction: install/update flathub:runtime/org.freedesktop.Platform.html5-codecs/x86_64/18.08[$old]
F: Transaction: install/update flathub:runtime/org.kde.KStyle.Adwaita/x86_64/5.12[$old]
F: Transaction: install/update flathub:runtime/org.kde.Platform.Locale/x86_64/5.12[/en]
F: marking op install/update:runtime/org.kde.Platform.Locale/x86_64/5.12 resolved to 87a7522048087a25d9cdd1647bcb8f4a1aff98c3278670300dcec74ab0dca467
F: marking op install/update:runtime/org.kde.KStyle.Adwaita/x86_64/5.12 resolved to 8a20812db8b2ad1265b1620164ef1441b8f2970d44f2b82054d8f97696da60bc
F: marking op install/update:runtime/org.freedesktop.Platform.html5-codecs/x86_64/18.08 resolved to f5389d9c2a687ec6f9fbb17d83d33d4e511d0a2e35d069afd196b6909d8a6ba0

org.telegram.desktop permissions:
    ipc network pulseaudio      wayland x11     dri     file access [1] dbus access [2]

    [1] xdg-config/kdeglobals:ro, xdg-download, xdg-run/dconf, ~/.config/dconf:ro
    [2] com.canonical.AppMenu.Registrar, org.freedesktop.Notifications, org.freedesktop.portal.Fcitx, org.kde.StatusNotifierWatcher


 1.             org.kde.Platform        x86_64  5.12    flathub < 428.5 MB
 2.             org.freedesktop.Platform.html5-codecs   x86_64  18.08   flathub < 3.3 MB
 3.             org.kde.KStyle.Adwaita  x86_64  5.12    flathub < 5.6 MB
 4.             org.kde.Platform.Locale x86_64  5.12    flathub < 333.9 MB (partial)
 5.             org.telegram.desktop    x86_64  stable  flathub < 27.9 MB

Proceed with these changes to the Default system installation? [Y/n]: 
Installing 1/5…                                                                                                                    F: Calling system helper: GetRevokefsFd
F: Calling system helper: GetRevokefsFd
==== AUTHENTICATING FOR org.freedesktop.Flatpak.modify-repo ====
Authentication is required to modify a system repository
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
F: flatpak_dir_pull: Using commit 8d26e6b10764c380f2b5780fc5aa8fb68ecf787d1751ebbbd6cbd886a81d9d86 for pull of ref runtime/org.kde.Platform/x86_64/5.12 from remote flathub
Installing 1/5… ████████████████████ 100%  2.4 MB/s  00:00F: Calling system helper: Deploy
==== AUTHENTICATING FOR org.freedesktop.Flatpak.app-install ====
Authentication is required to install software
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
Installing 2/5…                                                                                                                    F: Calling system helper: GetRevokefsFd
F: Calling system helper: GetRevokefsFd
==== AUTHENTICATING FOR org.freedesktop.Flatpak.modify-repo ====
Authentication is required to modify a system repository
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
F: flatpak_dir_pull: Using commit f5389d9c2a687ec6f9fbb17d83d33d4e511d0a2e35d069afd196b6909d8a6ba0 for pull of ref runtime/org.freedesktop.Platform.html5-codecs/x86_64/18.08 from remote flathub
Installing 2/5… ████████████████████ 100%  1.6 MB/sF: Calling system helper: Deploy
==== AUTHENTICATING FOR org.freedesktop.Flatpak.app-install ====
Authentication is required to install software
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
Installing 3/5…                                                                                                                    F: Calling system helper: GetRevokefsFd
F: Calling system helper: GetRevokefsFd
==== AUTHENTICATING FOR org.freedesktop.Flatpak.modify-repo ====
Authentication is required to modify a system repository
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
F: flatpak_dir_pull: Using commit 8a20812db8b2ad1265b1620164ef1441b8f2970d44f2b82054d8f97696da60bc for pull of ref runtime/org.kde.KStyle.Adwaita/x86_64/5.12 from remote flathub
Installing 3/5… ████████████████████ 100%  1.1 MB/s  00:00F: Calling system helper: Deploy
==== AUTHENTICATING FOR org.freedesktop.Flatpak.app-install ====
Authentication is required to install software
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
Installing 4/5…                                                                                                                    F: Calling system helper: GetRevokefsFd
F: Calling system helper: GetRevokefsFd
==== AUTHENTICATING FOR org.freedesktop.Flatpak.modify-repo ====
Authentication is required to modify a system repository
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
F: flatpak_dir_pull: Using commit 87a7522048087a25d9cdd1647bcb8f4a1aff98c3278670300dcec74ab0dca467 for pull of ref runtime/org.kde.Platform.Locale/x86_64/5.12 from remote flathub
Installing 4/5… ████████████████████ 100%  17.3 kB/sF: Calling system helper: Deploy
==== AUTHENTICATING FOR org.freedesktop.Flatpak.app-install ====
Authentication is required to install software
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
Installing 5/5…                                                                                                                    F: Calling system helper: GetRevokefsFd
F: Calling system helper: GetRevokefsFd
==== AUTHENTICATING FOR org.freedesktop.Flatpak.modify-repo ====
Authentication is required to modify a system repository
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
F: flatpak_dir_pull: Using commit 48c2595cdb8d15232f28afa1463a36480193554de55ae299c0a49bdb68a28bd5 for pull of ref app/org.telegram.desktop/x86_64/stable from remote flathub
Installing 5/5… ████████████████████ 100%  3.1 MB/s  00:00F: Calling system helper: Deploy
==== AUTHENTICATING FOR org.freedesktop.Flatpak.app-install ====
Authentication is required to install software
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
F: Calling system helper: RunTriggers
==== AUTHENTICATING FOR org.freedesktop.Flatpak.modify-repo ====
Authentication is required to modify a system repository
Authenticating as: Kamil Dudka (kdudka)
Password: 
==== AUTHENTICATION COMPLETE ====
Installation complete.

Comment 56 Parag Nemade 2019-07-16 12:03:59 UTC
somehow I removed layered packages in my F30 Silverblue system and able to do "rpm-ostree upgrade" to recent available update.
Today, I was trying to run this command
$ flatpak install org.gnome.eog

This keep failing for me with segfault. On 3rd attempt it worked and I can use eog flatpak now.
Then I checked journalctl for relevant log and found

Jul 16 16:31:30 f30sb kernel: flatpak[7708]: segfault at 10 ip 00007fe6f582284c sp 00007ffce2e10bf0 error 4 in libcurl.so.4.5.0[7fe6f57f4000+63000]
Jul 16 16:31:30 f30sb kernel: Code: 00 00 f6 82 84 00 00 00 08 75 0a c7 80 e0 07 00 00 00 00 00 00 45 85 e4 7e 74 4d 85 ff 0f 84 bb 00 00 00 49 8b 2f 4d 8b 7f 10 <48> 8b 45 10 48 85 c0 74 89 f6 44 24 08 02 0f 85 48 ff ff ff f6 44
Jul 16 16:31:30 f30sb systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Jul 16 16:31:30 f30sb systemd[1]: Started Process Core Dump (PID 7964/UID 0).
Jul 16 16:31:30 f30sb audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@0-7964-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=>
Jul 16 16:31:30 f30sb polkitd[961]: Unregistered Authentication Agent for unix-process:7708:63522 (system bus name :1.561, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
Jul 16 16:31:30 f30sb systemd-coredump[7965]: Process 7708 (flatpak) of user 1000 dumped core.
                                              
                                              Stack trace of thread 7708:
                                              #0  0x00007fe6f582284c n/a (libcurl.so.4)
                                              #1  0x00007fe6f5822b0b curl_multi_socket_action (libcurl.so.4)
                                              #2  0x00007fe6f673d37a n/a (libostree-1.so.1)
                                              #3  0x00007fe6f6181edd g_main_context_dispatch (libglib-2.0.so.0)
                                              #4  0x00007fe6f6182270 n/a (libglib-2.0.so.0)
                                              #5  0x00007fe6f6182313 g_main_context_iteration (libglib-2.0.so.0)
                                              #6  0x00007fe6f67047da ostree_repo_pull_with_options (libostree-1.so.1)
                                              #7  0x000055a3bbda2f1c n/a (flatpak)
                                              #8  0x000055a3bbdbb68c n/a (flatpak)
                                              #9  0x000055a3bbdc8453 n/a (flatpak)
                                              #10 0x000055a3bbdf245d n/a (flatpak)
                                              #11 0x000055a3bbd889ae n/a (flatpak)
                                              #12 0x000055a3bbd5e298 n/a (flatpak)
                                              #13 0x000055a3bbd55225 n/a (flatpak)
                                              #14 0x00007fe6f5f52f33 __libc_start_main (libc.so.6)
                                              #15 0x000055a3bbd55dce n/a (flatpak)

..........<snip>

Comment 57 Kamil Dudka 2019-07-16 13:32:17 UTC
(In reply to Parag Nemade from comment #56)
> somehow I removed layered packages in my F30 Silverblue system and able to
> do "rpm-ostree upgrade" to recent available update.
> Today, I was trying to run this command
> $ flatpak install org.gnome.eog
> 
> This keep failing for me with segfault.

It works fine on my VM with curl-7.64.0-8.fc30.x86_64:

[root@f30 ~]# flatpak install org.gnome.eog
Looking for matches…
Remotes found with refs similar to ‘org.gnome.eog’:

   1) ‘fedora’ (system)
   2) ‘flathub’ (system)

Which do you want to use (0 to abort)? [0-2]: 1
Required runtime for org.gnome.eog/x86_64/stable (runtime/org.fedoraproject.Platform/x86_64/f30) found in remote fedora
Do you want to install it? [Y/n]: 

org.gnome.eog permissions:
    ipc     session-bus     wayland     x11     file access [1]     dbus access [2]     tags [3]

    [1] host, xdg-run/dconf, ~/.config/dconf:ro
    [2] ca.desrt.dconf
    [3] Viewer


        ID                                   Arch             Branch          Remote          Download
 1. [✓] org.fedoraproject.Platform           x86_64           f30             fedora          414.3 MB / 414.3 MB
 2. [✓] org.gnome.eog                        x86_64           stable          fedora            1.3 MB / 1.3 MB

Installation complete.


Could anyone from the flatpak/gnome team create an isolated reproducer on top of libcurl?

Comment 58 Henrique C. S. Junior 2019-07-16 15:19:14 UTC
It is weird, but I've noticed a pattern here. In my super-fast optic fiber connection at work flatpak works like a charm, but at home, with a normal 15 MB DSL it crashes 98% of the time.

Comment 59 Kamil Dudka 2019-07-17 11:15:06 UTC
Could you please check whether curl-7.65.2-1.fc31 works any better?

Comment 60 Henrique C. S. Junior 2019-07-17 12:54:50 UTC
There we go!

rpm -qa | grep curl
qemu-block-curl-3.1.0-9.fc30.x86_64
python3-pycurl-7.43.0.2-6.fc30.x86_64
libcurl-7.65.1-1.fc31.x86_64
curl-7.65.1-1.fc31.x86_64

#############################
flatpak update -y --verbose
F: No installations directory in /etc/flatpak/installations.d. Skipping
F: Opening system flatpak installation at path /var/lib/flatpak
F: Opening user flatpak installation at path /home/henrique/.local/share/flatpak
Looking for updates…
F: Fetching summary file for remote ‘flathub’
F: Transaction: update flathub:app/org.gnome.Builder/x86_64/stable[$old]
F: Transaction: update flathub:app/org.telegram.desktop/x86_64/stable[$old]
F: Transaction: update flathub:runtime/org.freedesktop.Platform.VAAPI.Intel/x86_64/18.08[$old]
F: Transaction: update flathub:runtime/org.freedesktop.Platform.html5-codecs/x86_64/18.08[$old]
F: Transaction: update flathub:runtime/org.gnome.Builder.Locale/x86_64/stable[$old]
F: Transaction: update flathub:runtime/org.gnome.Sdk.Locale/x86_64/3.32[$old]
F: Transaction: update flathub:runtime/org.gnome.Sdk/x86_64/3.32[$old]
F: Transaction: update flathub:runtime/org.kde.KStyle.Adwaita/x86_64/5.12[$old]
F: Transaction: update flathub:runtime/org.kde.Platform.Locale/x86_64/5.12[$old]
F: Transaction: update flathub:runtime/org.kde.Platform/x86_64/5.12[$old]
F: Transaction: update flathub:runtime/org.kde.PlatformTheme.QGnomePlatform.Sources/x86_64/5.12[$old]
F: Transaction: update flathub:runtime/org.kde.PlatformTheme.QGnomePlatform/x86_64/5.12[$old]
F: Updating remote metadata for flathub
F: marking op update:runtime/org.kde.PlatformTheme.QGnomePlatform/x86_64/5.12 resolved to 110323e87f95f12032cbf0dca4fd84a40a5ba59299c7db4f59adada3893446a2
F: marking op update:runtime/org.kde.PlatformTheme.QGnomePlatform.Sources/x86_64/5.12 resolved to ff6a09543e8b98e8cb778122e91a7e811228f7a7b92fc24b3494d043f96df62a
F: marking op update:runtime/org.kde.Platform/x86_64/5.12 resolved to 8d26e6b10764c380f2b5780fc5aa8fb68ecf787d1751ebbbd6cbd886a81d9d86
F: marking op update:runtime/org.kde.Platform.Locale/x86_64/5.12 resolved to 87a7522048087a25d9cdd1647bcb8f4a1aff98c3278670300dcec74ab0dca467
F: marking op update:runtime/org.kde.KStyle.Adwaita/x86_64/5.12 resolved to 8a20812db8b2ad1265b1620164ef1441b8f2970d44f2b82054d8f97696da60bc
F: marking op update:runtime/org.gnome.Sdk/x86_64/3.32 resolved to f27201cfb1fe5c023407eca53f08ce92b04692a0e561bbefe8e389bbcbd06e71
F: marking op update:runtime/org.gnome.Sdk.Locale/x86_64/3.32 resolved to deab3c5c9f7aa4bb3379c256db94ccdf956045c9e7b9e4997caf372700a2da6d
F: marking op update:runtime/org.gnome.Builder.Locale/x86_64/stable resolved to b61980eddbfb9e1c59780fa9e89c99fb0e071edeabb8c5f824c4400ac6e6e9fb
F: marking op update:runtime/org.freedesktop.Platform.html5-codecs/x86_64/18.08 resolved to f5389d9c2a687ec6f9fbb17d83d33d4e511d0a2e35d069afd196b6909d8a6ba0
F: marking op update:runtime/org.freedesktop.Platform.VAAPI.Intel/x86_64/18.08 resolved to b0de3190fb592fc6009fd74e8a0aec23dbf9e66e5525c291cc4c9bafcfd060c2
F: marking op update:app/org.telegram.desktop/x86_64/stable resolved to 48c2595cdb8d15232f28afa1463a36480193554de55ae299c0a49bdb68a28bd5
F: marking op update:app/org.gnome.Builder/x86_64/stable resolved to ea36ae6ff793ea5868800768af79ec5243f534cf2d45b461817e71f0ef5cc743
F: Transaction: install/update flathub:runtime/org.freedesktop.Platform.VAAPI.Intel/x86_64/18.08[*]
F: Transaction: install/update flathub:runtime/org.freedesktop.Platform.html5-codecs/x86_64/18.08[*]
F: Transaction: install/update flathub:runtime/org.kde.KStyle.Adwaita/x86_64/5.12[*]
F: Transaction: install/update flathub:runtime/org.kde.PlatformTheme.QGnomePlatform.Sources/x86_64/5.12[*]
F: Transaction: install/update flathub:runtime/org.kde.PlatformTheme.QGnomePlatform/x86_64/5.12[*]
F: Transaction: install/update flathub:runtime/org.kde.Platform.Locale/x86_64/5.12[/en]
F: Transaction: install/update flathub:runtime/org.gnome.Sdk.Locale/x86_64/3.32[/en]
F: Transaction: install/update flathub:runtime/org.freedesktop.Platform.html5-codecs/x86_64/18.08[*]
F: Transaction: install/update flathub:runtime/org.freedesktop.Platform.VAAPI.Intel/x86_64/18.08[*]
F: Transaction: install/update flathub:runtime/org.gnome.Builder.Locale/x86_64/stable[/en]


 1.	   	org.gnome.Sdk	x86_64	3.32	flathub	< 684.5 MB
 2.	   	org.gnome.Sdk.Locale	x86_64	3.32	flathub	< 323.2 MB (partial)


Updating 1/2…                                                                                             F: Calling system helper: GetRevokefsFd
F: Calling system helper: GetRevokefsFd
F: flatpak_dir_pull: Using commit f27201cfb1fe5c023407eca53f08ce92b04692a0e561bbefe8e389bbcbd06e71 for pull of ref runtime/org.gnome.Sdk/x86_64/3.32 from remote flathub
Segmentation fault (core dumped)

#####################################

Process 3421 (flatpak) of user 1000 dumped core.

Stack trace of thread 3421:
#0  0x00007fe293e94e0e multi_socket (libcurl.so.4)
#1  0x00007fe293e950fb curl_multi_socket_action (libcurl.so.4)
#2  0x00007fe294daf37a n/a (libostree-1.so.1)
#3  0x00007fe2947f3edd g_main_context_dispatch (libglib-2.0.so.0)
#4  0x00007fe2947f4270 n/a (libglib-2.0.so.0)
#5  0x00007fe2947f4313 g_main_context_iteration (libglib-2.0.so.0)
#6  0x00007fe294dac8d6 n/a (libostree-1.so.1)
#7  0x00007fe294d6a8ba n/a (libostree-1.so.1)
#8  0x00007fe294d73f08 ostree_repo_pull_with_options (libostree-1.so.1)
#9  0x000056181b7def1c n/a (flatpak)
#10 0x000056181b7f7e33 n/a (flatpak)
#11 0x000056181b7f94af n/a (flatpak)
#12 0x000056181b82e793 n/a (flatpak)
#13 0x000056181b7c49ae n/a (flatpak)
#14 0x000056181b79c4da n/a (flatpak)
#15 0x000056181b791225 n/a (flatpak)
#16 0x00007fe2945c4f33 __libc_start_main (libc.so.6)
#17 0x000056181b791dce n/a (flatpak)

Stack trace of thread 3422:
#0  0x00007fe2946915c7 __poll (libc.so.6)
#1  0x00007fe2947f41de n/a (libglib-2.0.so.0)
#2  0x00007fe2947f4313 g_main_context_iteration (libglib-2.0.so.0)
#3  0x00007fe2947f4361 n/a (libglib-2.0.so.0)
#4  0x00007fe29481d4e2 n/a (libglib-2.0.so.0)
#5  0x00007fe2947715a2 start_thread (libpthread.so.0)
#6  0x00007fe29469c303 __clone (libc.so.6)

Stack trace of thread 3446:
#0  0x00007fe2946915c7 __poll (libc.so.6)
#1  0x00007fe2947f41de n/a (libglib-2.0.so.0)
#2  0x00007fe2947f4313 g_main_context_iteration (libglib-2.0.so.0)
#3  0x00007fe2950d6a9d n/a (libdconfsettings.so)
#4  0x00007fe29481d4e2 n/a (libglib-2.0.so.0)
#5  0x00007fe2947715a2 start_thread (libpthread.so.0)
#6  0x00007fe29469c303 __clone (libc.so.6)

Stack trace of thread 3423:
#0  0x00007fe2946915c7 __poll (libc.so.6)
#1  0x00007fe2947f41de n/a (libglib-2.0.so.0)
#2  0x00007fe2947f45a3 g_main_loop_run (libglib-2.0.so.0)
#3  0x00007fe294a3ad6a n/a (libgio-2.0.so.0)
#4  0x00007fe29481d4e2 n/a (libglib-2.0.so.0)
#5  0x00007fe2947715a2 start_thread (libpthread.so.0)
#6  0x00007fe29469c303 __clone (libc.so.6)

Stack trace of thread 3424:
#0  0x00007fe2946915c7 __poll (libc.so.6)
#1  0x00007fe2947f41de n/a (libglib-2.0.so.0)
#2  0x00007fe2947f45a3 g_main_loop_run (libglib-2.0.so.0)
#3  0x00007fe2950439e7 n/a (libpolkit-agent-1.so.0)
#4  0x00007fe29481d4e2 n/a (libglib-2.0.so.0)
#5  0x00007fe2947715a2 start_thread (libpthread.so.0)
#6  0x00007fe29469c303 __clone (libc.so.6)

Comment 61 Kamil Dudka 2019-07-17 13:12:04 UTC
(In reply to Henrique C. S. Junior from comment #60)
> libcurl-7.65.1-1.fc31.x86_64
> curl-7.65.1-1.fc31.x86_64

Thanks for checking but you tested it with curl-7.65.1-1.fc31 whereas I had suggested to test curl-7.65.2-1.fc31.

Comment 62 Henrique C. S. Junior 2019-07-17 13:33:49 UTC
I'm unable to find the .2 version (even with --releasever=rawhide):

sudo dnf install curl-7.65.2-1.fc31.x86_64 --releasever=31 --enablerepo=*testing --disablerepo=*modular
Last metadata expiration check: 0:09:39 ago on Wed 17 Jul 2019 10:21:17 AM -03.
No match for argument: curl-7.65.2-1.fc31.x86_64
Error: Unable to find a match

Can you share a .srpm?

(By the way, I'm on F30 yet, so I have to change releases using DNF).

Comment 63 Kamil Dudka 2019-07-17 13:59:30 UTC
(In reply to Henrique C. S. Junior from comment #62)
> I'm unable to find the .2 version (even with --releasever=rawhide):
> 
> sudo dnf install curl-7.65.2-1.fc31.x86_64 --releasever=31
> --enablerepo=*testing --disablerepo=*modular
> Last metadata expiration check: 0:09:39 ago on Wed 17 Jul 2019 10:21:17 AM
> -03.
> No match for argument: curl-7.65.2-1.fc31.x86_64
> Error: Unable to find a match

It might have not reached your mirror but the build exists in Koji:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1314549

> Can you share a .srpm?

https://kojipkgs.fedoraproject.org//packages/curl/7.65.2/1.fc31/src/curl-7.65.2-1.fc31.src.rpm

> (By the way, I'm on F30 yet, so I have to change releases using DNF).

I could create copr for testing in case it helped.

Comment 64 Henrique C. S. Junior 2019-07-17 14:21:09 UTC
(In reply to Kamil Dudka from comment #63)
> > (By the way, I'm on F30 yet, so I have to change releases using DNF).
> 
> I could create copr for testing in case it helped.

I can rebuild your srpm, no problem, but maybe the Copr can help more people test too.

Comment 65 Kamil Dudka 2019-07-17 15:25:55 UTC
OK, I created a copr for testing:

https://copr.fedorainfracloud.org/coprs/kdudka/curl-next/

Comment 66 Henrique C. S. Junior 2019-07-17 16:43:18 UTC
Looks like you nailed it!
I have tried installing and updating soma packages and it worked.
Thanks for going the extra mile.

#################################

rpm -qa | grep curl
libcurl-7.65.2-1.fc30.x86_64
qemu-block-curl-3.1.0-9.fc30.x86_64
python3-pycurl-7.43.0.2-6.fc30.x86_64
curl-7.65.2-1.fc30.x86_64

##############################
flatpak install flathub com.calibre_ebook.calibre --verbose
F: No installations directory in /etc/flatpak/installations.d. Skipping
F: Opening system flatpak installation at path /var/lib/flatpak
F: Opening user flatpak installation at path /home/henrique/.local/share/flatpak
Looking for matches…
F: Fetching summary file for remote ‘flathub’
F: Fetching summary file for remote ‘flathub’
F: Transaction: install flathub:app/com.calibre_ebook.calibre/x86_64/stable[*]
F: Updating remote metadata for flathub
F: marking op install:app/com.calibre_ebook.calibre/x86_64/stable resolved to 5360c4e81156fc5b5057eb42366129266e4e8120b348dee4d39b9d1a67b9bde2
F: Calling system helper: GenerateOciSummary
Required runtime for com.calibre_ebook.calibre/x86_64/stable (runtime/org.freedesktop.Platform/x86_64/18.08) found in remote flathub
Do you want to install it? [Y/n]: Y
F: Transaction: install/update flathub:runtime/org.freedesktop.Platform/x86_64/18.08[$old]
F: marking op install/update:runtime/org.freedesktop.Platform/x86_64/18.08 resolved to 365d62760000772f8cf401cfb6389252a2c1e2a0ebb39d99302fb730abfd8b74
F: Transaction: install/update flathub:runtime/org.freedesktop.Platform.Locale/x86_64/18.08[/en]
F: Transaction: install/update flathub:runtime/org.freedesktop.Platform.VAAPI.Intel/x86_64/18.08[*]
F: Transaction: install/update flathub:runtime/org.freedesktop.Platform.html5-codecs/x86_64/18.08[*]
F: marking op install/update:runtime/org.freedesktop.Platform.html5-codecs/x86_64/18.08 resolved to f5389d9c2a687ec6f9fbb17d83d33d4e511d0a2e35d069afd196b6909d8a6ba0
F: marking op install/update:runtime/org.freedesktop.Platform.VAAPI.Intel/x86_64/18.08 resolved to b0de3190fb592fc6009fd74e8a0aec23dbf9e66e5525c291cc4c9bafcfd060c2
F: marking op install/update:runtime/org.freedesktop.Platform.Locale/x86_64/18.08 resolved to 3c36f87660fbc95b89e76766514d2a85d30d78775ad1ded579fdd3902dc18a9e

com.calibre_ebook.calibre permissions:
    ipc	network	x11	devices	file access [1]	dbus access [2]
    system dbus access [3]

    [1] host
    [2] org.freedesktop.Notifications
    [3] org.freedesktop.NetworkManager, org.freedesktop.UDisks2


 1.	   	org.freedesktop.Platform	x86_64	18.08	flathub	< 295.2 MB
 2.	   	org.freedesktop.Platform.Locale	x86_64	18.08	flathub	< 315.9 MB (partial)
 3.	   	com.calibre_ebook.calibre	x86_64	stable	flathub	< 87.5 MB

Proceed with these changes to the Default system installation? [Y/n]: Y
Installing 1/3…                                                                                                           F: Calling system helper: GetRevokefsFd
F: Calling system helper: GetRevokefsFd
F: flatpak_dir_pull: Using commit 365d62760000772f8cf401cfb6389252a2c1e2a0ebb39d99302fb730abfd8b74 for pull of ref runtime/org.freedesktop.Platform/x86_64/18.08 from remote flathub
Installing 1/3… ████████████████████ 100%  7.7 kB/s  00:00F: Calling system helper: Deploy
Installing 2/3…                                                                                                           F: Calling system helper: GetRevokefsFd
F: Calling system helper: GetRevokefsFd
F: flatpak_dir_pull: Using commit 3c36f87660fbc95b89e76766514d2a85d30d78775ad1ded579fdd3902dc18a9e for pull of ref runtime/org.freedesktop.Platform.Locale/x86_64/18.08 from remote flathub
Installing 2/3… ████████████████████ 100%  2.1 kB/s  00:00F: Calling system helper: Deploy
Installing 3/3…                                                                                                           F: Calling system helper: GetRevokefsFd
F: Calling system helper: GetRevokefsFd
F: flatpak_dir_pull: Using commit 5360c4e81156fc5b5057eb42366129266e4e8120b348dee4d39b9d1a67b9bde2 for pull of ref app/com.calibre_ebook.calibre/x86_64/stable from remote flathub
Installing 3/3… ████████████████████ 100%  1.2 MB/s  00:00F: Calling system helper: Deploy
F: Calling system helper: RunTriggers
Installation complete.

Comment 67 Kamil Dudka 2019-07-17 16:53:05 UTC
Thank you for testing it!  If we do not have a reliable self-contained reproducer, I guess it will be easier to just rebase curl to curl-7.65.2 in f30.  Does anybody have a better idea?

Comment 68 Pablo Estigarribia 2019-07-20 14:45:13 UTC
This works! 
https://copr.fedorainfracloud.org/coprs/kdudka/curl-next/

I have been able to open gnome-software and update apps from there. (updated curl using dnf update as gnome-software was just crashing with segfault)

Comment 69 Michael Catanzaro 2019-07-22 01:48:22 UTC
*** Bug 1729315 has been marked as a duplicate of this bug. ***

Comment 70 Michael Catanzaro 2019-07-22 01:48:47 UTC
*** Bug 1723276 has been marked as a duplicate of this bug. ***

Comment 71 Michael Catanzaro 2019-07-22 01:48:54 UTC
*** Bug 1698259 has been marked as a duplicate of this bug. ***

Comment 72 Michael Catanzaro 2019-07-22 01:49:01 UTC
*** Bug 1706393 has been marked as a duplicate of this bug. ***

Comment 73 Michael Catanzaro 2019-07-22 01:49:08 UTC
*** Bug 1714479 has been marked as a duplicate of this bug. ***

Comment 74 Michael Catanzaro 2019-07-22 01:49:30 UTC
*** Bug 1724183 has been marked as a duplicate of this bug. ***

Comment 75 Michael Catanzaro 2019-07-22 01:49:36 UTC
*** Bug 1696149 has been marked as a duplicate of this bug. ***

Comment 76 Michael Catanzaro 2019-07-22 01:49:51 UTC
*** Bug 1728996 has been marked as a duplicate of this bug. ***

Comment 77 Michael Catanzaro 2019-07-22 01:55:15 UTC
(In reply to Kamil Dudka from comment #67)
> Thank you for testing it!  If we do not have a reliable self-contained
> reproducer, I guess it will be easier to just rebase curl to curl-7.65.2 in
> f30.  Does anybody have a better idea?

If you happen to find a 25-hour day sometime soon, you could try bisecting it. Otherwise, if you think curl has a history of being safe and reliable to update, a rebase sounds pretty reasonable.

Comment 78 Kamil Dudka 2019-07-22 10:41:39 UTC
(In reply to Pablo Estigarribia from comment #68)
> This works! 
> https://copr.fedorainfracloud.org/coprs/kdudka/curl-next/
> 
> I have been able to open gnome-software and update apps from there. (updated
> curl using dnf update as gnome-software was just crashing with segfault)

Perfect.  Thank you for testing it!


(In reply to Michael Catanzaro from comment #77)
> If you happen to find a 25-hour day sometime soon, you could try bisecting it.

There are 573 commits between 7.64.0 and 7.65.2, so one can bisect it in 10 steps.  The actual problem is that nobody has provided a reliable reproducer.

> Otherwise, if you think curl has a history of being safe and reliable to update,

Not really.  It sometimes happens that a core functionality gets broken even in a point release.  For example, the 7.65.2 upstream release, which is known to fix this bug, is now already obsoleted by 7.65.3, because the progress meter was "unimplemented" by mistake in 7.65.2 ;-)

> a rebase sounds pretty reasonable.

Yes, in this case, we will most likely have to rebase.  I am not going to learn how to use gnome/flatpak/whatever to be able to bisect this bug...

Comment 79 Kamil Dudka 2019-07-22 14:27:37 UTC
dist-git commit: https://src.fedoraproject.org/rpms/curl/c/fa1eecb6

Comment 80 Fedora Update System 2019-07-22 15:37:16 UTC
FEDORA-2019-67ae72d432 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-67ae72d432

Comment 81 Fedora Update System 2019-07-23 00:54:43 UTC
curl-7.65.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-67ae72d432

Comment 82 Jonathan Lebon 2019-07-24 13:33:12 UTC
*** Bug 1730451 has been marked as a duplicate of this bug. ***

Comment 83 Isaque Galdino 2019-07-24 13:47:26 UTC
(In reply to Fedora Update System from comment #81)
> curl-7.65.3-1.fc30 has been pushed to the Fedora 30 testing repository. If

I can confirm this fixed my issues. Thanks.

Comment 84 Fedora Update System 2019-07-25 01:06:30 UTC
curl-7.65.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 85 Parag Nemade 2019-07-25 03:38:18 UTC
I got this update on Fedora 30 Silverblue now. I confirm there is no more segfault now.
Thanks Kamil for this update.

Comment 86 Kamil Dudka 2019-07-25 08:29:54 UTC
No problem, thank you for testing it!

Comment 87 Kamil Dudka 2019-07-30 12:33:57 UTC
(In reply to Kamil Dudka from comment #78)
> (In reply to Pablo Estigarribia from comment #68)
> > Otherwise, if you think curl has a history of being safe and reliable to update,
> 
> Not really.  It sometimes happens that a core functionality gets broken even
> in a point release.  For example, the 7.65.2 upstream release, which is
> known to fix this bug, is now already obsoleted by 7.65.3, because the
> progress meter was "unimplemented" by mistake in 7.65.2 ;-)

The rebase of curl to 7.65.3 broke python3-rpkg, just so you know:

https://github.com/curl/curl/pull/4171


Note You need to log in before you can comment on or make changes to this bug.